BARNOWL(1)

NAME
BarnOwl - tty-based zephyr client

SYNOPSIS
barnowl [-n] [-d] [-D] [-v] [-h] [-c CONFIGFILE] [-t TTY] [-s CONFIGDIR]

DESCRIPTION
BarnOwl is a fully integrated tty-based instant messaging client. Currently it supports AOL Instant Messenger, MIT Zephyr, Jabber, IRC, and Twitter. It is curses-based, allows for emacs-style editing of outgoing messages, and uses Perl as an extension and configuration language. BarnOwl will also run happily without a configuration file.

Once BarnOwl is started, typing ‘h’ will display a help screen. Typing ‘:’ enters command mode, allowing the user to type a BarnOwl command line.

OPTIONS
The following command-line options are avilable when running BarnOwl:

-n, --no-subs
    Do not subscribe to zephyr messages on startup. By default, BarnOwl subscribes to the default subscriptions and to anything found in ~/.zephyr.subs. When this option is used, no subscriptions are loaded.

-c, --config-file=FILE
    Specify an alternate config file for BarnOwl to use. The config file is an arbitrary Perl script evaluated in the main package, and if it overrides the BarnOwl::startup method that is run when BarnOwl starts. (Compare ~/.owl/startup, which contains BarnOwl commands that are run at startup after the config file is loaded.)

    By default, BarnOwl uses the first of ~/.owl/init.pl, ~/.barnowlconf, or ~/.owlconf that exists.

-s, --config-dir=DIR
    Specify an alternate configuration directory. By default, BarnOwl uses ~/.owl/.

-t, --tty=TTY
    Specify the tty name to use for the zephyr location.

-v, --version
    Print the version number of BarnOwl and exit.

-d, --debug
    Enable debugging. By default, debugging information is placed in /var/tmp/barnowl-debug.PID.

-h, --help
    Print command-line option help.

AUTHORS
Written by Nelson Elhage and Alejandro Sedeno at the Massachusetts Institute of Technology. Based on Owl by James Kretchmar.

Comments, questions, and bug reports may be mailed to bug-barnowl@mit.edu.